<?php
/**
 * @package Simplicity Add Fields Search Engine
 * 
 * Copyright (C) 2018 CattleMute.
 *
 * Function
 *
 */

function safse_add_param( $_inc_term_checkbox = 'no', $_inc_sort_hidden = 'no', $_inc_sort_select = 'no', $_inc_keyword_method_user = 'no' ) {

	$_string = '';
	
	$_string .= safse_get_mode();
	$_string .= safse_get_keyword_switch_user( $_inc_keyword_method_user );
	$_string .= safse_get_sort_hidden( $_inc_sort_hidden );
	$_string .= safse_get_sort_select( 'none', $_inc_sort_select );
	$_string .= safse_get_terms_checkbox( $_inc_term_checkbox );

	echo apply_filters( 'safse_add_param', $_string );

}

function safse_sort_select( $_script_append = 'append' ) {

	$_string = '';

	$_string .= safse_get_sort_select( 'append', 'yes' );
	if ( ! safse_is_search() ) $_string = '';

	echo apply_filters( 'safse_sort_select', $_string );
	
}

function safse_is_search() {

	global $SafseFrontal;

	$_return = $SafseFrontal->is_mode();

	return is_search() ? $_return : false;

}

function safse_get_mode() {

	global $SafseFrontal;

	$_return = $SafseFrontal->get_mode();

	return $_return;

}

function safse_get_terms_checkbox( $_inc_term_checkbox = 'no' ) {

	global $SafseFrontal;

	$_return = $SafseFrontal->get_terms_checkbox( $_inc_term_checkbox );

	return $_return;

}

function safse_get_sort_select( $_script_append = 'append', $_inc_sort_select = 'no' ) {

	global $SafseFrontal;
	
	$_return = $SafseFrontal->get_sort_select( $_script_append, $_inc_sort_select );
	
	return $_return;
	
}

function safse_get_sort_hidden( $_inc_sort_hidden = 'no' ) {

	global $SafseFrontal;
	
	$_return = $SafseFrontal->get_sort_hidden( $_inc_sort_hidden );
	
	return $_return;
	
}

function safse_get_keyword_switch_user( $_inc_keyword_switch_user_radio = 'no' ) {

	global $SafseFrontal;
	
	$_return = $SafseFrontal->get_keyword_switch_user_radio();
	
	return $_return;
	
}

function safse_get_query() {

	global $SafseFrontal;

	$_return = $SafseFrontal->request_query();

	return is_search() ? $_return : false;

}
