<?php
/**
 * Plugin Name: Simplicity Add Fields Search Engine
 * Plugin URI:  http://www.cattlemute.com
 * Description: It is a plugin that includes a custom field as a search condition and also supports that sort. And it also supports searching for term. This plugin can be used for free. However, I am making plugin as extremely freewheelingly.
 * Version:     0.9.8
 * Author:      CattleMute
 * Author URI:  http://www.cattlemute.com
 * License:     GNU General Public License 2.0
 * Copyright (C) 2018 CattleMute.
 * Text Domain: safse
 * Domain Path: /languages
 */

/*
 
 Thanks for the wonderful plugin !
 Plugin Update Checker Library
 
*/

require dirname( __FILE__ ) . '/plugin-update-checker/plugin-update-checker.php';
$pluginUpdateCheck = Puc_v4_Factory::buildUpdateChecker( 'http://www.cattlemute.com/update/plugins/safse/update.json', __FILE__, 'simplicity-add-fields-search-engine' );

/*
 
 Simplicity Add Fields Search Engine

 Copyright (C) 2018 CattleMute of author

*/

require_once( dirname( __FILE__ ) . '/controllers/controller.php' );
require_once( dirname( __FILE__ ) . '/controllers/function.php' );
require_once( dirname( __FILE__ ) . '/controllers/tool.php' );

function safse_setup() {

	load_plugin_textdomain( 'safse', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
	load_theme_textdomain( 'safse-user-text', false, get_stylesheet_directory() . '/languages-safse/' );

	$Safse = new Safse();
	$SafseTool = new SafseTool();

}
add_action('plugins_loaded', 'safse_setup');
