<?php
/**
 * @package Simplicity Add Fields Search Engine
 * 
 * Copyright (C) 2018 CattleMute.
 *
 * View - Template Dashboard
 *
 */
 ?>

<div class="wrap wrap-safse">

	<h1><?php _e( 'Simplicity Add Fields Search Engine Ver 0.9.7', 'safse' ); ?></h1>
	<!--<p class="sentence"><?php _e( 'This plugin make for theme authors.', 'safse' ); ?></p>-->
	<p class="sentence"><?php _e( 'This plugin is able to use soon as after setup. (However, basically it make for theme authors.)', 'safse' ); ?></p>
	<p class="sentence"><?php _e( 'When search for properties or products on the site, It make to include information on those custom fields in the search.', 'safse' ); ?><br />
<!--<?php _e( 'However, searches made from this plugin do not directly change the main loop to the search template.', 'safse' ); ?><br />
<?php _e( 'Issue an SQL SELECT statement from the parameters specified as conditions and generate objects using WP_Query.', 'safse' ); ?><br />
<?php _e( 'Therefore, it is * you * that make search templates that are displayed using plugins.', 'safse' ); ?><br />-->
<?php _e( 'Searches made from this plugin do not directly change the main loop to the search template on default setting.', 'safse' ); ?><br />
<?php _e( 'In that case, it is * you * that make search templates that are displayed using plugins.', 'safse' ); ?><br />
<span style="font-weight:bold;"><?php _e( 'When changing the main loop and displaying the search page, change \'Loop mode\' to \'Rewrite Main Loop\' from \'Search in site settings\'.', 'safse' ); ?></span><br />
<span style="font-weight:bold;"><?php _e( 'In the \'Rewrite Main Loop\' setting, editing of the theme template is unnecessary.', 'safse' ); ?></span></p>

	<h2 class="heading"><?php _e( 'How to use', 'safse' ); ?></h2>

<!--<p class="sentence"><?php _e( 'After that, show the search form with widget or short code.', 'safse' ); ?></p>-->
<p class="sentence"><?php _e( 'Show the search form with widget or short code.', 'safse' ); ?></p>
<div class="widget-sample">
		<h3><?php _e( 'Search - Simplicity Add Fields Search Engine', 'safse' ) ?></h3>
</div>
<pre class="source">
<?php _e( '[safse_search]', 'safse' ); ?>
</pre>

	<p class="sentence"><span style="font-weight:bold;"><?php _e( 'The following is done when \'Loop mode\' is select to \'WP_Query (Conventional Mode)\'.', 'safse' ); ?></span><br />
<span style="font-weight:bold;"><?php _e( 'This work is unnecessary if \'Rewrite Main Loop\' is select.', 'safse' ); ?></span></p>
	<p class="sentence"><?php _e( 'Edit search.php for parent theme or child theme. Make it in the following form.', 'safse' ); ?></p>
<pre class="source">
&lt;?php get_header(); ?&gt;
&lt;?php

	if( safse_is_search() ) :
		// <?php _e('Simplicity Add Fields Search Engine loop.' , 'safse') ?>

		$safse_query = safse_get_query(); // <?php _e('Objects generated by the plugin.' , 'safse') ?>

		safse_sort_select(); // <?php _e('Sort selectbox function.' , 'safse') ?>

		if ( $safse_query-&gt;have_posts() ) :
			while ( $safse_query-&gt;have_posts() ): $safse_query-&gt;the_post();
			// --------------------
			endwhile;
		endif;
	else :
		// <?php _e('search.php original loop' , 'safse') ?>

		if ( have_posts() ) :
			while ( have_posts() ): the_post();
			// --------------------
			endwhile;
		endif;
	endif;

?&gt;
&lt;?php get_footer(); ?&gt;
</pre>

	<h2 class="heading"><?php _e( 'Plugin Specifications', 'safse' ); ?></h2>
	<p class="sentence"><?php _e( 'Below are specifications of available functions, widgets and short codes.', 'safse' ); ?></p>
	<table class="spec">
		<tr>
			<th><?php _e( 'Search - Simplicity Add Fields Search Engine', 'safse' ); ?></th>
			<td><?php _e( 'Widget', 'safse' ); ?></td>
			<td>
				<?php _e( 'Title', 'safse' ); ?><br />
				<?php _e( 'Input widget title.', 'safse' ); ?><br /><br />
				<?php _e( 'Template File - PHP file on theme', 'safse' ); ?><br />
				<?php _e( 'Input the template file name. Specify the path of the following path and file name themes being used.', 'safse' ); ?>
			</td>
		</tr>
		<tr>
			<th><?php _e( '[safse_search]', 'safse' ); ?></th>
			<td><?php _e( 'Short code', 'safse' ); ?></td>
			<td>
				<?php _e( 'Search form template can be specified [safse_search templatefile=&quot;xxxx.php&quot;]', 'safse' ); ?>
			</td>
		</tr>
		<tr>
			<th><?php _e( 'safse_add_param( $inc_term_checkbox, $inc_sort_hidden, $inc_sort_select, $inc_keyword_method_user );', 'safse' ); ?></th>
			<td><?php _e( 'Function', 'safse' ); ?></td>
			<td>
				<?php _e( 'Load search paramator.', 'safse' ); ?><br />
				<?php _e( 'Ignoring the option setting when an argument is attached.', 'safse' ); ?><br /><br />
				<?php _e( '$inc_term_checkbox is show term check box. \'yes\' or \'no\'.', 'safse' ); ?><br />
				<?php _e( '$inc_sort_hidden is passing sort paramator. \'yes\' or \'no\'.', 'safse' ); ?><br />
				<?php _e( '$inc_sort_select is sort select box in searchform. \'yes\' or \'no\'.', 'safse' ); ?><br />
				<?php _e( '$inc_keyword_method_user is AND / OR search that is selectable to user in searchform. \'yes\' or \'no\'.', 'safse' ); ?><br /><br />
				<?php _e( 'Outputed string in this functions is able to rewrite by filter hook \'safse_add_param\'.', 'safse' ); ?>
			</td>
		</tr>
		<tr>
			<th><?php _e( 'safse_sort_select( $script_append );', 'safse' ); ?></th>
			<td><?php _e( 'Function', 'safse' ); ?></td>
			<td>
				<?php _e( 'Show the sort select box.', 'safse' ); ?><br />
				<?php _e( 'Use it for sort selection bellow the search page.', 'safse' ); ?><br />
				<!--<?php _e( '$script_append is after select the sort select box, transition to page. \'yes\' or \'no\'.', 'safse' ); ?><br />-->
				<?php _e( '* $script_append left only the paramater and deleted, because this parameter does not make much sense for the purpose of the function. (after ver 0.9.7)', 'safse' ); ?><br /><br />
				<?php _e( 'Outputed string in this functions is able to rewrite by filter hook \'safse_sort_select\'.', 'safse' ); ?>
			</td>
		</tr>
		<tr>
			<th><?php _e( 'safse_is_search()', 'safse' ); ?></th>
			<td><?php _e( 'Function', 'safse' ); ?></td>
			<td>
				<?php _e( 'Investigate to Search format by Simplicity Add Fields Search Engine.', 'safse' ); ?>
			</td>
		</tr>
	</table>

	<h2 class="heading"><?php _e( 'Send Paramators', 'safse' ); ?></h2>
	<p class="sentence"><?php _e( 'Simplicity Add Fields Search Engine has following the send parameters.', 'safse' ); ?></p>
	<table class="spec">
		<tr>
			<th><?php _e( 'mode', 'safse' ); ?></th>
			<td><?php _e( 'Search mode with Simplicity Add Fields Search Engine.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'sort', 'safse' ); ?></th>
			<td><?php _e( 'Specify sort. A sort conditions(example: post_title) and order format(asc or desc) is separated by comma.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'tid[]', 'safse' ); ?></th>
			<td><?php _e( 'Specify the term id. Format is array.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'pt[]', 'safse' ); ?></th>
			<td><?php _e( 'Hidden commands. Forcibly rewrite the post type to be displayed in search result.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'fp[]', 'safse' ); ?></th>
			<td><?php _e( 'Hidden commands. Forcibly specify a field prefix in search result.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'btax', 'safse' ); ?></th>
			<td><?php _e( 'Hidden commands. Forcibly specify a logical operator between taxonomies in search result. You can specify &quot;and&quot; or &quot;or&quot;.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'bterm[XXX]', 'safse' ); ?></th>
			<td><?php _e( 'Hidden commands. Forcibly specify a logical operator between terms on taxonomy in search result. XXX is entered a taxonomy slug. You can specify &quot;in&quot; or &quot;notin&quot; or &quot;and&quot;.', 'safse' ); ?></td>
		</tr>
		<tr>
			<th><?php _e( 'kmeth', 'safse' ); ?></th>
			<td><?php _e( 'Hidden commands. Forcibly specify a logical operator of the keywords search method in search result. You can specify &quot;and&quot; or &quot;or&quot;.', 'safse' ); ?></td>
		</tr>
	</table>

	<h2 class="heading"><?php _e( 'Output file', 'safse' ); ?></h2>
	<p class="sentence">
		<?php _e( 'Simplicity Add Fields Search Engine exports searchform-safe.php to theme in \'Search in site settings\' at being selected \'Yes\' by \'Export the plugins searchform template to theme\'. (If the file does not exist)', 'safse' ); ?><br />
		<?php _e( 'Use it when specifying template of the search form with widget or short code.', 'safse' ); ?><br />
	</p>

	<h2 class="heading"><?php _e( 'Plain HTML', 'safse' ); ?></h2>
	<p class="sentence">
		<?php _e( 'All the show of search result of Simplicity Add Fields Search Engine is generated based on send parameter.', 'safse' ); ?><br />
		<?php _e( 'Therefore, search form can be do directly in plain HTML.', 'safse' ); ?>
	</p>
<pre class="source">
&lt;form method="get" action="&lt;?php echo esc_url( home_url( '/' ) ); ?&gt;"&gt;
	&lt;input type="text" placeholder="&lt;?php echo _e( 'Search', 'safse' ); ?&gt;" value="&lt;?php echo esc_html( get_search_query() ); ?&gt;" name="s" /&gt;
	&lt;?php echo safse_get_mode(); ?&gt;
	&lt;input type="hidden" name="pt[]" value="post" /&gt;
	&lt;input type="hidden" name="pt[]" value="page" /&gt;
	&lt;input type="hidden" name="btax" value="or" /&gt;
	&lt;input type="hidden" name="bterm[category]" value="in" /&gt;
	&lt;input type="hidden" name="sort" value="post_date,desc" /&gt;
	&lt;input type="radio" name="kmeth" value="and"&lt;?php echo 'and' == $_GET['kmeth'] ? ' checked="checked"' : ''; ?&gt; /&gt; AND
	&lt;input type="radio" name="kmeth" value="or"&lt;?php echo 'or' == $_GET['kmeth'] ? ' checked="checked"' : ''; ?&gt; /&gt; OR
	&lt;select name="sort" class="safse-sort-select"&gt;
		&lt;option value="post_date,desc"&gt;&lt;?php _e( 'Post Date - Descending', 'safse' ); ?&gt;&lt;/option&gt;
		&lt;option value="post_date,asc"&gt;&lt;?php _e( 'Post Date - Ascending', 'safse' ); ?&gt;&lt;/option&gt;
	&lt;/select&gt;
	&lt;label class="safse-term-label"&gt;&lt;input type="checkbox" name="tid[]" value="1" class="safse-term-checkbox" /&gt;&lt;?php _e( 'Category1', 'safse' ); ?&gt;&lt;/label&gt;
	&lt;label class="safse-term-label"&gt;&lt;input type="checkbox" name="tid[]" value="2" class="safse-term-checkbox" /&gt;&lt;?php _e( 'Category2', 'safse' ); ?&gt;&lt;/label&gt;
	&lt;label class="safse-term-label"&gt;&lt;input type="checkbox" name="tid[]" value="3" class="safse-term-checkbox" /&gt;&lt;?php _e( 'Category3', 'safse' ); ?&gt;&lt;/label&gt;
	&lt;button type="submit" class="search-submit"&gt;&lt;?php echo _e( 'Search', 'safse' ); ?&gt;&lt;/button&gt;
&lt;/form&gt;
</pre>

<small class="copyright"><?php _e( 'Create by CattleMute.' ) ?><small>

</div>